Class | Rack::Auth::Digest::MD5
In: | lib/action_controller/vendor/rack-1.0/rack/auth/digest/md5.rb
Parent: | AbstractHandler

Rack::Auth::Digest::MD5 implements the MD5 algorithm version of HTTP Digest Authentication, as per RFC 2617.

Initialize with the [Rack] application that you want protecting, and a block that looks up a plaintext password for a given username.

`opaque` needs to be set to a constant base64/hexadecimal string.

### Methods

call new passwords_hashed?

### Constants

QOP | = | 'auth'.freeze

### Attributes

opaque | [RW] |
passwords_hashed | [W] |

### Public Class methods

new(*args)

### Public Instance methods

call(env)
passwords_hashed?()

[Validate]